/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.307 Revision 1.344
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.307 2007/10/13 02:47:26 beandog Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.344 2008/08/11 05:54:10 graaff Exp $
4
5*ruby-1.8.6_p287 (11 Aug 2008)
6
7 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
8 Version bump for brown paper bag relelease.
9
10 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
11 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
12 Remove broken version in favor of the just-added 1.8.6_p286
13
14*ruby-1.8.6_p286 (10 Aug 2008)
15
16 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
17 Version bump to latest released version of ruby 1.8.6. This version fixes the
18 security issues reported in #225465 and #234224. The cjk USE flag has been
19 dropped since no compatible patches have been released yet.
20
21 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
22 ruby-1.8.6_p230.ebuild:
23 drop cjk from SRC_URI as well
24
25 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
26 Drop cjk support since the most recent oniguruma patches no longer apply to
27 this version, #230111.
28
29 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
30 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
31 Try to fix the security issues reported in #225465 for ruby 1.8.6.
32 Unfortunately the official p230 has a change which causes segmentation faults
33 for applications like Rails and RSpec, so we are reverting that specific
34 change.
35
36*ruby-1.8.7_p22 (29 Jun 2008)
37
38 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
39 +ruby-1.8.7_p22.ebuild:
40 bump 1.8.7 for security fix
41
42 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
43 nevermind, don't bump this yet
44
45*ruby-1.8.6_p230 (20 Jun 2008)
46
47 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
48 version bump
49
50*ruby-1.8.7 (10 Jun 2008)
51
52 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
53 +ruby-1.8.7.ebuild:
54 bump 1.8.7 to final
55
56*ruby-1.8.7_pre2 (21 Apr 2008)
57
58 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
59 +ruby-1.8.7_pre2.ebuild:
60 Version Bump
61
62*ruby-1.8.7_pre1 (16 Apr 2008)
63
64 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
65 Version bump. Drop cjk until a new version of oniguruma appears.
66
67 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
68 amd64 stable, bug 212264
69
70 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
71 Stable for HPPA (bug #212264).
72
73 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
74 ruby-1.8.6_p114.ebuild:
75 ppc stable, bug #212264
76
77 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
78 alpha/ia64 stable wrt #212264
79
80 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
81 ruby-1.8.6_p114.ebuild:
82 stable x86, security bug 212264
83
84 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
85 Sparc stable, Security Bug #212264, builds and installs, initial tests run
86 as expected.
87
88 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
89 Marking ruby-1.8.6_p114 ppc64 for bug 212264
90
91*ruby-1.8.6_p114 (05 Mar 2008)
92
93 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
94 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
95 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
96 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
97 Version bump for #212264. Remove old ebuilds.
98
99 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
100 alpha/ia64 stable wrt #208916
101
102 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
103 Stable on ppc wrt bug 208916
104
105 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
106 x86 stable, bug #208916
107
108 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
109 ruby-1.8.6_p111-r1.ebuild:
110 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
111
112 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
113 -files/ruby-1.8.6-exit-status.patch,
114 -files/ruby-1.8.6_p110-net-http-p111.patch,
115 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
116 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
117 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
118 Remove old versions
119
120 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
121 Stable on ppc64
122
123 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
124 Stable on amd64; bug 199191
125
126 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
127 alpha/ia64/sparc stable wrt #199191
128
129 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
130 Remove now-obsolete warning about coreutils versions, #203156.
131
132 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
133 Stable for HPPA (bug #199191).
134
135*ruby-1.8.6_p111-r1 (23 Dec 2007)
136
137 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
138 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
139 ssl USE flags. Patch to p113.
140
141 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
142 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
143
144 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
145 x86 stable, security bug #199191
146
147*ruby-1.8.6_p111 (23 Dec 2007)
148
149 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
150 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
151 Version bump with patch for bug #199191
152
153 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
154 Move dependency on (X)Emacs modes to PDEPEND.
155
156 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
157 Add back ~hppa keyword now that XEmacs support files have been keyworded,
158 bug 196413
159
160*ruby-1.8.6_p110-r2 (21 Oct 2007)
161
162 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
163 +ruby-1.8.6_p110-r2.ebuild:
164 Add emacs and xemacs USE flags and use them to pull in the correct editing
165 mode for each. Had to drop several arch keywords as reported on bug 196413.
4 166
5 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild: 167 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
6 amd64 stable, security bug 194236 168 amd64 stable, security bug 194236
7 169
8 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild, 170 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,

Legend:
Removed from v.1.307  
changed lines
  Added in v.1.344

  ViewVC Help
Powered by ViewVC 1.1.20